Subject: Re: [Rfc-markdown] [Tools-discuss] getting the Acknowledgement section in the right place

From: Carsten Bormann <[email-masked]>
Date: Tue, 29 Sep 2020 08:16:31 +0200

On 2020-09-29, at 04:06, Michael Richardson <[email-masked]> wrote:
> 
> I noticed while reading the diff for an AUTH48 that the RFC editor had moved
> the Acknowledgement section after the references.

Yes, that’s what RFC 7322 says:

https://tools.ietf.org/html/rfc7322#section-4.10

(It may be followed by a contributors section, and then is followed by the authors’ addresses.)

> I guess we can make that happen by putting that section after the ---back
> in kramdown, and move it manually in xml.

Putting the section last (or before a contributors section, which may be automatically inserted by kramdown-rfc) in the back matter is right.
No manual moving required.

Make sure you have numbered=“no” on the section:

# Acknowledgements
{: numbered="no"}

Examples for doing this:

https://raw.githubusercontent.com/cbor-wg/CBORbis/master/draft-ietf-cbor-7049bis.md
https://raw.githubusercontent.com/core-wg/senml-more-units/master/draft-ietf-core-senml-more-units.md

Or any recent kramdown-rfc draft…

(This really belongs to the rfc-markdown list, which I have CCed.)

> It wasn't something I'd noticed before.

RFC 7322 was published in September 2014 ;-)

Grüße, Carsten